%define languageenglazy Shuswap
%define languagecode    shs
%define lc_ctype        shs_CA

%define upstream_version 20090828

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 14
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            https://secpewt.sd73.bc.ca/wordlist
Source0:        https://secpewt.sd73.bc.ca/hunspell/hunspell-shs-ca.tar.gz

BuildRequires:  pkgconfig(hunspell)

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-shs
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p hunspell/shs_CA.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p hunspell/shs_CA.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc hunspell/COPYING hunspell/Copyright hunspell/README
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.20090828.1-14.mga10
+ Revision: 2197514
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.20090828.1-13.mga9
+ Revision: 1801821
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20090828.1-12.mga8
+ Revision: 1491733
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20090828.1-11.mga7
+ Revision: 1263879
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.20090828.1-10.mga6
+ Revision: 944118
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20090828.1-9.mga5
+ Revision: 751112
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20090828.1-8.mga5
+ Revision: 680300
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20090828.1-7.mga4
+ Revision: 505674
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20090828.1-6.mga3
+ Revision: 353692
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 0.20090828.1-5.mga2
+ Revision: 224838
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.20090828.1-4.mga2
+ Revision: 209080
- stop obsoleting not existing myspell-shs

* Wed Feb 08 2012 kamil <kamil> 0.20090828.1-3.mga2
+ Revision: 206349
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20090828.1-2.mga1
+ Revision: 69074
- imported package hunspell-shs


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20090828-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 31 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090828-1
- latest version

* Thu Aug 27 2009 Caolan McNamara <caolanm@redhat.com> - 0.20081107-1
- initial version
